"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CKEditorAlignment = require("@ckeditor/ckeditor5-alignment");
var ClassicEditor = require("@ckeditor/ckeditor5-build-classic");
var CKEditor = require("@ckeditor/ckeditor5-react");
var InputLabel_1 = require("@material-ui/core/InputLabel");
var Typography_1 = require("@material-ui/core/Typography");
var FieldCoreBase_1 = require("@react-form-fields/core/components/FieldCoreBase");
var ValidationContextRegister_1 = require("@react-form-fields/core/components/ValidationContextRegister");
var config_1 = require("@react-form-fields/core/config");
var React = require("react");
var withStyles_1 = require("../../decorators/withStyles");
var styles = require("./style.css");
var FieldHtml = /** @class */ (function (_super) {
    tslib_1.__extends(FieldHtml, _super);
    function FieldHtml() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (event, editor) {
            config_1.getConfig().validationOn === 'onChange' && _this.setState({ showError: true });
            _this.props.onChange(editor.getData());
        };
        _this.onBlur = function (e) {
            config_1.getConfig().validationOn === 'onBlur' && _this.setState({ showError: true });
            _this.setState({ focused: false });
            _this.props.onBlur && _this.props.onBlur(e);
        };
        _this.onFocus = function () {
            _this.setState({ focused: true });
        };
        return _this;
    }
    FieldHtml.prototype.render = function () {
        var focused = this.state.focused;
        var _a = this.props, classes = _a.classes, label = _a.label, helperText = _a.helperText, value = _a.value, disabled = _a.disabled;
        // disabled, onChange, onBlur, placeholder
        console.log(ClassicEditor);
        return (React.createElement("div", { className: "" + styles.component },
            React.createElement(ValidationContextRegister_1.default, { field: this }),
            React.createElement("div", { className: classes.label },
                React.createElement(InputLabel_1.default, { error: !!this.errorMessage, required: this.isRequired, focused: focused }, label),
                helperText || this.errorMessage ?
                    React.createElement(Typography_1.default, { variant: 'caption', color: this.errorMessage ? 'error' : 'default' }, this.errorMessage || helperText)
                    : null),
            React.createElement(CKEditor, { editor: ClassicEditor, config: tslib_1.__assign({}, ClassicEditor.defaultConfig, { plugins: [CKEditorAlignment], language: config_1.getConfig().editorLocale, alignment: { options: ['left', 'center', 'right'] }, toolbar: ['heading', 'alignment', '|', 'bold', 'italic', 'link', 'bulletedList', 'numberedList', '|', 'undo', 'redo'] }), disabled: disabled, data: value, onChange: this.onChange, onBlur: this.onBlur, onFocus: this.onFocus })));
    };
    FieldHtml = tslib_1.__decorate([
        withStyles_1.WithStyles(function (theme) { return ({
            label: {
                display: 'block',
                marginBottom: 5
            },
            fullWrapper: {
                borderColor: theme.palette.type === 'light' ? 'rgba(0, 0, 0, 0.27)' : 'rgba(255, 255, 255, 0.7)',
            },
            editorWrapper: tslib_1.__assign({}, theme.typography.body1)
        }); })
    ], FieldHtml);
    return FieldHtml;
}(FieldCoreBase_1.default));
exports.default = FieldHtml;
//# sourceMappingURL=index.js.map